package com.application.DB;

public class Constants {

    // Key name file for the database access
    public static String KEY_FILE_NAME = "sf-drying-optimization-8a2e1b7ffc14.json";

    // Time related constants
    public static String START_TIME = "";
    public static String STOP_TIME = "";
    public static String CURRENT_DATE = "";
    public static String TIME_LEFT = "";

    // Boolean variable to tell if the drying process is finished
    public static boolean IS_FINISHED = false;
    // Boolean variable to tell if the data is finished loading
    public static boolean LOADED_DATA = false;

    // User inputs
    public static String TREE_SPECIES = "";
    public static String DIMENSIONS = "";
    public static String SAWSET = "";
    public static String MOISTURE_GOAL = "";

    // Number of manual moisture checks
    public static int NUMBER_OF_CHECKS = 1;

    // Max number of input characters for sql injection prevention
    public static int MAX_USER_INPUT_CHARACTERS = 10;

    // Boolean constants to toggle default launch selected or not for checkboxes for showing graphs
    public static boolean DEFAULT_IS_SELECTED_LIVE_DATA = true;
    public static boolean DEFAULT_IS_SELECTED_REGRESSION = true;
    public static boolean DEFAULT_IS_SELECTED_REGRESSION_SHADOW = false;
    public static boolean DEFAULT_IS_SELECTED_PREVIOUS_DATA = true;

    // Account constants
    private static boolean isAdmin = false;
    private static String firstName;
    private static String lastName;
    private static String userName;
    private static String phoneNo;

    public static String getUserName() { return userName;}

    public static void setUserName(String userName) {
        Constants.userName = userName;
    }

    public static String getPhoneNo() {
        return phoneNo;
    }

    public static void setPhoneNo(String phoneNo) {
        Constants.phoneNo = phoneNo;
    }

    public static boolean isIsAdmin() {
        return isAdmin;
    }

    public static void setIsAdmin(boolean isAdmin) {
        Constants.isAdmin = isAdmin;
    }

    public static String getFirstName() {
        return firstName;
    }

    public static void setFirstName(String firstName) {
        Constants.firstName = firstName;
    }

    public static String getLastName() {
        return lastName;
    }

    public static void setLastName(String lastName) {
        Constants.lastName = lastName;
    }
}
